@import 'SpaceForm.module';

.box {
  .label {
    color: var(--pale-blue);
    font-family: WorkSans, sans-serif;
    font-size: 1.5rem;
    font-weight: 600;
    margin-top: 1.5rem;
    @media (min-width: 768px) {
      font-size: 36px;
    }
  }
}

.switch {
  padding: 0;
}

.dropdown {
  margin-top: 0.5rem;
  .arrowClosed,
  .arrowOpen {
    border: solid var(--light-gray-blue);
    border-width: 0 1px 1px 0;
    display: inline-block;
    padding: 4px;
    position: absolute;
    right: 15px;
  }

  .arrowClosed {
    top: 12px;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
  }

  .arrowOpen {
    top: 16px;
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
  }
  .control {
    display: flex;
    align-items: center;
    position: relative;
    justify-content: space-between;
    border: solid 1px var(--light-gray-blue);
    background-color: transparent;
    font-family: WorkSans, sans-serif;
    color: var(--light-gray-blue);
    font-size: 18px;
    height: 46px;
    border-radius: 0;

    .placeholder {
      align-items: center;
    }
  }

  .menu {
    border: solid 1px var(--light-gray-blue);
    background: var(--black);
    margin-top: 6px;
    transition: all 0.5s;

    div[class*='is-selected'] {
      border-radius: 0;
      background-color: var(--light-gray-blue);
    }

    .option {
      display: flex;
      align-items: center;
      height: 48px;
      font-size: 18px;
      font-weight: 400;
      color: var(--white);
      transition: all 0.3s;

      &:hover {
        background-color: var(--light-gray-blue);
        border-radius: 0;
      }
    }
  }
}

.list {
  padding: 14px;
  margin-bottom: 8px;
  overflow: hidden;

  .choiceRow {
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: space-between;
    padding: 23px 0;

    .name {
      background-color: var(--dark-gray-blue);
    }

    .item:nth-child(2) {
      width: 30%;
    }
    .item:nth-child(3) {
      width: 50%;
    }

    .item {
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      font-family: WorkSans;
      color: var(--light-gray-blue);
      font-size: 18px;

      .isBoolToggle {
        width: 100%;
        margin-top: 0;
      }
      .input {
        font-family: inherit;
        display: flex;
        padding-top: 0;
        text-align: center;
        width: 100%;
        height: 50px;
        background-color: white;
        color: black;
        font-size: inherit;
      }
      i {
        cursor: pointer;
      }

      .checkbox {
        margin-left: 10px;
        cursor: pointer;
        min-width: 115px;
      }
    }
  }

  .choiceRow:not(:last-child) {
    border-bottom: 1px solid #566876;
  }
}

.paramButton {
  margin-top: 0;
  margin-bottom: 40px;
}
